## destroy

Destroy one or more windows

### SYNOPSIS

(destroy ?window window ...?)

### DESCRIPTION

This procedure deletes the windows given by the window arguments, plus all of their descendants. If a window *root* (or ``.'') is deleted then the entire application will be destroyed. The windows are destroyed in order, and if an error occurs in destroying a window the procedure aborts without destroying the remaining windows.

Back to the STk main page